:root {
    --primary-color: #e8e8e8;
    --secondary-color: #444444;
    --text-color: #000000;

    @media (prefers-color-scheme: dark) {
        --primary-color: #0f0f0f;
        --secondary-color: #f0f0f0;
    }
}

body {
    background: var(--primary-color);
    color: var(--secondary-color);
}

body.dark {
    --primary-color: #0f0f0f;
    --secondary-color: #f0f0f0;
}